Skip to main content
GET
/
api
/
products
/
crawl-discoveries
/
{job_id}
Get Crawl Discoveries
curl --request GET \
  --url https://api.merchantops.ai/api/products/crawl-discoveries/{job_id}
{
  "items": [
    {
      "confidence": 123,
      "id": "<string>",
      "is_product_page": true,
      "job_id": "<string>",
      "url": "<string>",
      "classification_reason": "<string>",
      "description": "<string>",
      "import_error": "<string>",
      "processed": false,
      "product_key": "<string>",
      "selected": false,
      "title": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123,
  "processed_count": 123,
  "product_pages": 123,
  "selected_count": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

job_id
string
required

Query Parameters

is_product_page
boolean | null

Filter by product page classification

selected
boolean | null

Filter by selection status

processed
boolean | null

Filter by processed status

min_confidence
number | null

Minimum confidence score

Required range: 0 <= x <= 1
limit
integer
default:100

Max results to return

Required range: 1 <= x <= 500
offset
integer
default:0

Number of results to skip

Required range: x >= 0

Cookies

stytch_session
string | null

Response

Successful Response

Response model for list of crawl discoveries.

items
CrawlDiscoveryResponse · object[]
required
limit
integer
required
offset
integer
required
processed_count
integer
required
product_pages
integer
required
selected_count
integer
required
total
integer
required